#!/bin/sh
mkdir -p $AUTOPKGTEST_TMP/emptydir
cd $AUTOPKGTEST_TMP/emptydir

# Enable legacy hash functions (ripemd160)
cat > openssl.cnf <<EOF
openssl_conf = openssl_init

[openssl_init]
providers = provider_sect

[provider_sect]
default = default_sect
legacy = legacy_sect

[default_sect]
activate = 1

[legacy_sect]
activate = 1
EOF
export OPENSSL_CONF=$(pwd)/openssl.cnf

pytest-3 --pyargs opentimestamps.tests -k "not test_git.py"
